Ubuntu

[MASTER] ubiquity crashes instead of notifying the user of not enough disk space

Reported by Daniel Holbach on 2008-04-23
466
This bug affects 75 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Nominated for Lucid by Gaurish Sharma

Bug Description

Binary package hint: ubiquity

ubuntu@ubuntu:~$ tail -n 40 /var/log/syslog
Apr 23 10:37:58 ubuntu python: log-output -t ubiquity mount --bind /dev /target/dev
Apr 23 10:37:58 ubuntu grub-installer: info: architecture: amd64/generic
Apr 23 10:37:58 ubuntu grub-installer: info: Identified partition label for /dev/sda8: msdos
Apr 23 10:37:59 ubuntu grub-installer: dpkg: Kann /var/lib/dpkg/updates/tmp.i nicht auffüllen: No space left on device
Apr 23 10:37:59 ubuntu python: log-output -t ubiquity umount /target/cdrom
Apr 23 10:37:59 ubuntu finish-install: Disabling CD in sources.list
Apr 23 10:37:59 ubuntu python: Exception during installation:
Apr 23 10:37:59 ubuntu python: Traceback (most recent call last):
Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py", line 1911, in <module>
Apr 23 10:37:59 ubuntu python: install.run()
Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py", line 419, in run
Apr 23 10:37:59 ubuntu python: self.configure_bootloader()
Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py", line 1422, in configure_bootloader
Apr 23 10:37:59 ubuntu python: "GrubInstaller failed with code %d" % ret)
Apr 23 10:37:59 ubuntu python: InstallStepError: GrubInstaller failed with code 2
Apr 23 10:37:59 ubuntu python:
Apr 23 10:37:59 ubuntu ubiquity[7822]: debconffilter_done: Install (current: None)
Apr 23 10:37:59 ubuntu ubiquity[7822]: Exception in GTK frontend (invoking crash handler):
Apr 23 10:37:59 ubuntu ubiquity[7822]: Traceback (most recent call last):
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/lib/ubiquity/bin/ubiquity", line 229, in <module>
Apr 23 10:37:59 ubuntu ubiquity[7822]: main()
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/lib/ubiquity/bin/ubiquity", line 224, in main
Apr 23 10:37:59 ubuntu ubiquity[7822]: install(args[0])
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/lib/ubiquity/bin/ubiquity", line 68, in install
Apr 23 10:37:59 ubuntu ubiquity[7822]: ret = wizard.run()
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 428, in run
Apr 23 10:37:59 ubuntu ubiquity[7822]: self.progress_loop()
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 797, in progress_loop
Apr 23 10:37:59 ubuntu ubiquity[7822]: (ret, realtb))
Apr 23 10:37:59 ubuntu ubiquity[7822]: RuntimeError: Install failed with exit code 1
Apr 23 10:37:59 ubuntu ubiquity[7822]: Traceback (most recent call last):
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/share/ubiquity/install.py", line 1911, in <module>
Apr 23 10:37:59 ubuntu ubiquity[7822]: install.run()
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/share/ubiquity/install.py", line 419, in run
Apr 23 10:37:59 ubuntu ubiquity[7822]: self.configure_bootloader()
Apr 23 10:37:59 ubuntu ubiquity[7822]: File "/usr/share/ubiquity/install.py", line 1422, in configure_bootloader
Apr 23 10:37:59 ubuntu ubiquity[7822]: "GrubInstaller failed with code %d" % ret)
Apr 23 10:37:59 ubuntu ubiquity[7822]: InstallStepError: GrubInstaller failed with code 2
Apr 23 10:37:59 ubuntu ubiquity[7822]:
Apr 23 10:37:59 ubuntu last message repeated 2 times
ubuntu@ubuntu:~$ df -h
Dateisystem Größe Benut Verf Ben% Eingehängt auf
tmpfs 393M 13M 380M 4% /lib/modules/2.6.24-16-generic/volatile
tmpfs 393M 13M 380M 4% /lib/modules/2.6.24-16-generic/volatile
varrun 393M 100K 392M 1% /var/run
varlock 393M 4,0K 393M 1% /var/lock
udev 393M 56K 392M 1% /dev
devshm 393M 12K 393M 1% /dev/shm
tmpfs 393M 16K 393M 1% /tmp
gvfs-fuse-daemon 393M 40M 353M 11% /home/ubuntu/.gvfs
/dev/sda8 5,1G 5,1G 0 100% /target
ubuntu@ubuntu:~$

Daniel Holbach (dholbach) wrote :
Daniel Holbach (dholbach) wrote :
Daniel Holbach (dholbach) wrote :
Daniel Holbach (dholbach) wrote :
Evan Dandrea (ev) on 2008-06-05
Changed in ubiquity:
importance: Undecided → High
status: New → Confirmed
Evan Dandrea (ev) on 2009-10-13
summary: - ubiquity crashes instead of notifying the user of not enough disk space
+ [MASTER] ubiquity crashes instead of notifying the user of not enough
+ disk space
tags: added: ubiquity-1.8.7
tags: added: hardy
Changed in ubiquity (Ubuntu):
status: Confirmed → Triaged
Kim Allamandola (spacexplorer) wrote :

Same problem as described, but *there is all disk space needed!*
at least from the point of view of df, df -i etc...

Jacek Nykis (jacekn) wrote :

In my case there is definitely space on the device but installator crashes anyway:

root@ubuntu:/var/log# cat syslog |grep space
Oct 23 10:56:40 ubuntu kernel: [ 27.082465] ppdev: user-space parallel port driver
Oct 23 12:00:39 ubuntu ubiquity: Compiling /usr/share/python/debpython/namespace.py ...
Oct 23 12:02:28 ubuntu ubiquity: unable to install new version of `/usr/src/linux-headers-3.0.0-12-generic/include/config/pata/cs5536.h': No space left on device

But there is 15 GB available:
root@ubuntu:/var/log# df -h /target/usr/src/
Filesystem Size Used Avail Use% Mounted on
/dev/sda1 19G 2.3G 15G 14% /target

What is interesting is this:
root@ubuntu:/var/log# ls -l /usr/src/linux-headers-3.0.0-12-generic/
ls: cannot access /usr/src/linux-headers-3.0.0-12-generic/: No such file or directory

Stéphane Graber (stgraber) wrote :

Jacek: What filesystem is that? is it btrfs by any chance?

Steve Langasek (vorlon) on 2011-10-26
Changed in ubiquity (Ubuntu):
assignee: nobody → Stéphane Graber (stgraber)
Stephen Gaze (hillwalker801) wrote :

Third time of trying to install Ubuntu 11-10, once on an old Dell laptop and twice on a desktop.
First two occasions resulted in the installation failing to proceed beyond configuring the keyboard.
On this occasion the installation on a 40GB drive appeared to be proceeding well and then crashed.
I'm rapidly coming to the conclusion that this Linux won't be going in easily, if at all.

Stephen Gaze (hillwalker801) wrote :

OK. Second time of crashing in one hour. This time I tried reinstalled with the 40GB hard drive as slave (previously the drive was sole/master). Time to try another distro methinks. So much for Linux, once the domain of geeks, becoming simple to install

Stephen Gaze (hillwalker801) wrote :

Fifth installer crash right at the end of trying to install right from scratch. Not a happy bunny. Time to try another product.

Rafał Rzepecki (divided-mind) wrote :

Exactly the same problem as in comment #6.
(Using btrfs for root.)

Dave Gilbert (ubuntu-treblig) wrote :

Hmm it looks like there are two independent bugs being reported on this bug number:
   1) Places where ubiquity fails to spot that there really isn't enough space
   2) Places where something somewhere is either lying about the free space or falsely giving disk full errors.

Ideally these should be split.

Brian Murray (brian-murray) wrote :

Part 2 mentioned in comment #12 (free space required) is btrfs specific and bug 806784 is tracking that.

Installer Crash was in my case my own fault because I tried to install Ubuntu 11.10 on a computer without harddisks and only a USB-Stick with 4 GB of memory. Ubuntu did not let me install, 4,5 GB required. So I used a second stick with 8GB to continue and removed it later during installing. Later on installation failed.

douglas1 (dude111115) wrote :

Crashed while i had it installing to a Sandisk 8GB Flash drive. 8GB DDR3 RAM, was installing ubuntu 11.10. Earlier installed on the flashd rive was Ubuntu 10.10. Manually created partitions because i did not want a Swap being used on the flash drive, and it crashed mid way through the installation ( after about a half hour. )

Ajit Hatti (ajit-hattti) wrote :

Installer crashed while installing 11.10 on Virtual-Box platform. Disk space was layed out as follows :
/ - 2.5 GB
/home - 2.3 GB
Swap - 512 GB

RAM - 2 GB.

Update while installing option was ENABLED.

Robert L (robert-longfield) wrote :

Just got this error on 5 of 5 attempts.

500 GB HD setup as:

25MB /boot
20 GB /home
278GB /
2 GB /swap

Used EXT4 for a File system each time.
Updates wile installing was disabled.

Robert L (robert-longfield) wrote :

Fails with Ext 3 FS as well

Mythbuntu 11.10

Robert L (robert-longfield) wrote :

Tried installing into one 500 GB partition instead of breaking it down and there was no failure. The installer completed fine without crashing.

Goddard (kinggoddard) wrote :

I tried installing in a virtual box and it crashes. I have attempted to install other times and for some reason either a fault of virtual box or ubuntu the disc should dynamically expand and space shouldn't be an issue.

It crashes every time with installing the same package: linux-image-3.0.0-.....
I tried with btrfs, and my own custom partitioning. This did not work so I tried letting the installer choose lvm and its preferred choices of filesystem sizes and type:

/ 322 MB, ext4
/boot 228 MB, ext2
/usr 5635 MB, ext4
/var 2816 MB, ext4
/tmp 368 MB, ext4
/home 5780 MB, ext4

See? no btrfs this time. The installation succeeded this time, but after logging into the system, and trying apt-get dist-upgrade, it fails again with `No space left on device´, and in the same linux-image-3.0.0-16 package.
So it seems to me that the bug is not btrfs, but rather in the linux-image package, or possibly in the apt system.

Could it be that update while installing was ENABLED for all systems affected by this bug? If so, it would corroborate my theory that it is the linux-image-3.0.0-... package which is at fault. During my second try at installing, I did not have this enabled, I think. So if I'm right, it makes sense that I stumbled over the bug during apt-get dist-upgrade.

Nothing to do with what filesystem was used.

Robert L (robert-longfield) wrote :

I tried my install with update while installing Enabled and Disabled.
It didn't make a difference for me.

tags: added: qa-manual-testing
Sylvain Comte (sylvain-comte) wrote :

Also tried two install with update while installing enabled and disabled. Both crashes.

I got a big (250 go) hard disk that I full format on this laptop. So there's no place problem.

Once i got an error message about apt parameters configuring...

dave congour (hodad) wrote :

Have been trying to get my pc back for 2 days. Maybe it's related to my having partitoned the drive into separate /boot and /home partitions?

Seriously need this pc back if possible. It's my main work pc, and I can't afford a new one.

Any help greatly appreciated!

Jacek Nykis (jacekn) wrote :

I have just tested on 12.04 beta2 and it is all good. I installed on 10GB disk with one BTRFS partition (9GB) and 1GB of swap. No problems at all, installation completed fine

Hamish Blair (hmblair) wrote :

Lubuntu 12.4 failed installation for me. I had over 10 Gb in / and over 10 Gb in /home. Maybe my 2Gb swap space was too small? /boot was just under 50 Mb from memory - maybe that was the issue? My RAM is 512Mb if I remember rightly.

On 03/06/12 03:07, Hamish Blair wrote:
> Lubuntu 12.4 failed installation for me. I had over 10 Gb in / and over
> 10 Gb in /home. Maybe my 2Gb swap space was too small? /boot was just
> under 50 Mb from memory - maybe that was the issue? My RAM is 512Mb if
> I remember rightly.
>
On a recent Ubuntu 12.04 install /boot had 51.5MB used. Suggest you
increase /boot to at least 100MB - requirements are likely to grow in
future versions since most things seem to need more space as time goes by.

Changed in ubiquity:
assignee: nobody → Terence M Keeler (terrykiow)
security vulnerability: no → yes
Stéphane Graber (stgraber) wrote :

Please don't mess with the assignee field or security flag.

security vulnerability: yes → no
Changed in ubiquity:
assignee: Terence M Keeler (terrykiow) → nobody
Sergio Meneses (sergiomeneses) wrote :

I have the same bug with my laptop: Acer Aspire 4750-6825. And as Jacek said in the last version the instalation proccess was rigth!

Dave Gilbert (ubuntu-treblig) wrote :

We might need to check that we're not running out of inodes here rather than blocks.

I was just helping a user who had got a disk full type of error from dpkg, but his ~10GB root had plenty
of free blocks; but he had run out of the ~610k inodes allocated; now I think in his case that was an upgrade on a 10.04 server, but still.

We might need a more careful analysis of the full errors to spot this.

Mads Columbia (etymtree) wrote :

I was pretty sure I had enough space, as I was using a 16gb usb boot and my netbook says it has 79gb of free space...
everything was going well until the very last minute when the error report appeared.
my concern now is, how do I install it and how will the whole partitioning thing work out when that happens? have the partitions already been created and how do I work with this?

Mike Wright (mpwright) wrote :

I can "create this bug" pretty reliably with the following method:

Using a computer with a lot of RAM and ubuntu 12.04 already installed make a new VM with 8192 MB RAM and 8.00 GB HDD and try to install ubuntu 12.04x64 desktop. Then just next-next-next your way through everything. If you had left the RAM at default 512 you could install just fine and change it after, but with RAM so high you wind up here.

Mike Wright (mpwright) wrote :

Should probably specify I mean VirtualBox when I say VM. I'm using the Dynamic .VDI in case that helps as well.

Dimitri John Ledkov (xnox) wrote :

Also Mike Wright, this bug is about not enough disk space (HDD). 8GB should be enough and I always do 8GB installs in a VM on daily basis. Maybe you meant ubiquity crashes with not enough memory? Please find of file a different bug, as your issue seems to be different from this one.

Dave Gilbert (ubuntu-treblig) wrote :

Mike: Yes, that does sound like a separate problem; if it's dependent on the amount of RAM; that almost sounds like a swap space allocation guess going wrong???

Dave

Changed in ubiquity (Ubuntu):
assignee: Stéphane Graber (stgraber) → nobody
Colin Watson (cjwatson) on 2012-10-16
no longer affects: ubiquity
Roopa (roopabdr) on 2012-12-04
Changed in ubiquity (Ubuntu):
assignee: nobody → Roopa (roopabdr)
assignee: Roopa (roopabdr) → nobody
CoUnFouZz (counfouzz) on 2013-01-11
no longer affects: ubiquity
jangoma (noorsine) on 2013-01-27
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed
status: Fix Committed → Fix Released
Changed in ubiquity (Ubuntu):
status: Fix Released → Triaged
description: updated
Changed in ubiquity (Ubuntu):
status: Triaged → Fix Committed
Dimitri John Ledkov (xnox) wrote :

Please do not change the status of this bug report, unless there is actual code committed to resolve this problem.

Changed in ubiquity (Ubuntu):
status: Fix Committed → Confirmed
Thomas Hotz (thotz) on 2013-06-10
Changed in clean-ubiquity-ubuntu (Ubuntu):
status: New → Confirmed
ultra (egidijuscom) on 2013-08-23
Changed in clean-ubiquity-ubuntu (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Committed
Daniel John Brosman (danieo) wrote :

I am Installing ubuntu and I encounted an error pleam fix the problem thank you.

Download full text (5.2 KiB)

Hi Daniel,
I am unfortunately not able to help you. I am a simple Ubuntu user once
reported a problem like you.
Brgds Morten

On 2 October 2013 21:52, Daniel John Brosman <email address hidden> wrote:

> I am Installing ubuntu and I encounted an error pleam fix the problem
> thank you.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (671857).
> https://bugs.launchpad.net/bugs/220961
>
> Title:
> [MASTER] ubiquity crashes instead of notifying the user of not enough
> disk space
>
> Status in “clean-ubiquity-ubuntu” package in Ubuntu:
> Fix Committed
> Status in “ubiquity” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Binary package hint: ubiquity
>
> ubuntu@ubuntu:~$ tail -n 40 /var/log/syslog
> Apr 23 10:37:58 ubuntu python: log-output -t ubiquity mount --bind /dev
> /target/dev
> Apr 23 10:37:58 ubuntu grub-installer: info: architecture: amd64/generic
> Apr 23 10:37:58 ubuntu grub-installer: info: Identified partition label
> for /dev/sda8: msdos
> Apr 23 10:37:59 ubuntu grub-installer: dpkg: Kann
> /var/lib/dpkg/updates/tmp.i nicht auffüllen: No space left on device
> Apr 23 10:37:59 ubuntu python: log-output -t ubiquity umount
> /target/cdrom
> Apr 23 10:37:59 ubuntu finish-install: Disabling CD in sources.list
> Apr 23 10:37:59 ubuntu python: Exception during installation:
> Apr 23 10:37:59 ubuntu python: Traceback (most recent call last):
> Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py",
> line 1911, in <module>
> Apr 23 10:37:59 ubuntu python: install.run()
> Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py",
> line 419, in run
> Apr 23 10:37:59 ubuntu python: self.configure_bootloader()
> Apr 23 10:37:59 ubuntu python: File "/usr/share/ubiquity/install.py",
> line 1422, in configure_bootloader
> Apr 23 10:37:59 ubuntu python: "GrubInstaller failed with code %d" %
> ret)
> Apr 23 10:37:59 ubuntu python: InstallStepError: GrubInstaller failed
> with code 2
> Apr 23 10:37:59 ubuntu python:
> Apr 23 10:37:59 ubuntu ubiquity[7822]: debconffilter_done: Install
> (current: None)
> Apr 23 10:37:59 ubuntu ubiquity[7822]: Exception in GTK frontend
> (invoking crash handler):
> Apr 23 10:37:59 ubuntu ubiquity[7822]: Traceback (most recent call last):
> Apr 23 10:37:59 ubuntu ubiquity[7822]: File
> "/usr/lib/ubiquity/bin/ubiquity", line 229, in <module>
> Apr 23 10:37:59 ubuntu ubiquity[7822]: main()
> Apr 23 10:37:59 ubuntu ubiquity[7822]: File
> "/usr/lib/ubiquity/bin/ubiquity", line 224, in main
> Apr 23 10:37:59 ubuntu ubiquity[7822]: install(args[0])
> Apr 23 10:37:59 ubuntu ubiquity[7822]: File
> "/usr/lib/ubiquity/bin/ubiquity", line 68, in install
> Apr 23 10:37:59 ubuntu ubiquity[7822]: ret = wizard.run()
> Apr 23 10:37:59 ubuntu ubiquity[7822]: File
> "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 428, in run
> Apr 23 10:37:59 ubuntu ubiquity[7822]: self.progress_loop()
> Apr 23 10:37:59 ubuntu ubiquity[7822]: File
> "/usr/lib/ubiquity/ubiquity/frontend/gtk_ui.py", line 797, in progress_loop
> Apr 23 10:37:59 ubuntu u...

Read more...

Changed in ubiquity (Ubuntu):
status: Fix Committed → Confirmed
Changed in clean-ubiquity-ubuntu (Ubuntu):
status: Fix Committed → Confirmed
Vito Zarra (emyaev) on 2013-12-02
Changed in ubiquity (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Fix Released
waus (ramon-h4l1993) on 2013-12-18
Changed in clean-ubiquity-ubuntu (Ubuntu):
status: Confirmed → New
status: New → Incomplete
Changed in ubiquity (Ubuntu):
assignee: nobody → John Bolander II (wiremaster829)
sam2005 (sam2005new) on 2014-01-05
Changed in clean-ubiquity-ubuntu (Ubuntu):
status: Incomplete → Fix Released
Phillip Susi (psusi) wrote :

Please quit screwing with buttons you don't understand.

no longer affects: clean-ubiquity-ubuntu (Ubuntu)
Changed in ubiquity (Ubuntu):
assignee: John Bolander II (wiremaster829) → nobody
status: Fix Released → Triaged
moichim (jachim5) wrote :

I have this bug on Dell Inspiron 7720. It happens while installing Xubuntu 13.10 and also in Kubuntu 13.10. As far as I understood, the installation crashes when installing Grub.

Didier Lassissi (wdla) wrote :

I have an Intel Core Quad Q 8400N and Windows 7 (32 bit) , 4 Gb RAM, and a lot of space (40 Gb for Ubuntu, 4,5 Gb for Swap, and more than 500 Gb free in two disks)

A long time ago I installed Ununtu 12.04 LTS. It never worked : bad Grub? because Ubuntu never start when I choose it.

Recently I runed some cleaners on Windows : Malwarebytes AdwCleaner, and after that Ubuntu 12.04 LS started and stop. Si I thought that it ould be intresting to install the last version but the installation failed (my choice : update Ubuntu 12.04 LTS with Ubuntu 13.10.

To post a comment you must log in.